<?php echo $header; ?><?php echo $column_left; ?>
<div id="content">
  <div class="page-header">
    <div class="container-fluid">
      <h1><?php echo $heading_title; ?></h1>
      <ul class="breadcrumb">
        <?php foreach ($breadcrumbs as $breadcrumb) { ?>
        <li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
        <?php } ?>
      </ul>
    </div>
  </div>
  <div class="container-fluid">
    <?php if (isset($text_success)) { ?>
    <div class="alert alert-success"><i class="fa fa-check"></i> <?php echo $text_success; ?>
      <button type="button" class="close" data-dismiss="alert">&times;</button>
    </div>
    <?php } ?>
    <?php if (isset($error_warning)) { ?>
    <div class="alert alert-danger"><i class="fa fa-exclamation-circle"></i> <?php echo $error_warning; ?>
      <button type="button" class="close" data-dismiss="alert">&times;</button>
    </div>
    <?php } ?>
    <div class="panel panel-default">
      <div class="panel-heading">
        <h3 class="panel-title"><i class="fa fa-puzzle-piece"></i> <?php echo $heading_links; ?><h3>
      </div>
      <div class="panel-body">
        <form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="pc-sync-panel-form">
          <input type="hidden" name="token" value="<?php echo $token; ?>">
          <div class="form-group">
            <table class="table table-striped product-flags">
              <tr>
                <th scope="col"><?php echo $text_product; ?></th>
                <th scope="col"><?php echo $text_no_sync; ?></th>
                <th scope="col"><?php echo $text_remains; ?></th>
                <th scope="col"><?php echo $text_remains_price; ?></th>
                <th scope="col"><?php echo $text_delete; ?></th>
              </tr>
              <?php foreach ($flags as $flag): ?>
                <tr class="flag-row">
                  <td>
                    <input name="ps_sync_product[<?php echo $flag['id']; ?>][id]" type="hidden" value="<?php echo $flag['id']; ?>">
                    <input name="ps_sync_product[<?php echo $flag['id']; ?>][model]" type="text" value="<?php echo $flag['model']; ?>" class="form-control" size="4">
                    <p><?php echo $flag['name']; ?></p>
                  </td>
                  <td>
                    <input name="ps_sync_product[<?php echo $flag['id']; ?>][no_sync]" type="checkbox" value="1" <?php if ($flag['no_sync']) echo 'checked'; ?>>
                  </td>
                  <td>
                    <input name="ps_sync_product[<?php echo $flag['id']; ?>][remains]" type="checkbox" value="1" <?php if ($flag['remains']) echo 'checked'; ?>>
                  </td>
                  <td>
                    <input name="ps_sync_product[<?php echo $flag['id']; ?>][remains_price]" type="checkbox" value="1" <?php if ($flag['remains_price']) echo 'checked'; ?>>
                  </td>
                  <td>
                    <input name="ps_sync_product[<?php echo $flag['id']; ?>][delete]" type="checkbox" value="1">
                  </td>
                </tr>
              <?php endforeach; ?>
            </table>
          	<button type="button" name="add" data-toggle="tooltip" title="<?php echo '+'; ?>" class="btn btn-secondary" onclick="addProductFlag()"><?php echo '+'; ?></button>
          </div>
          <button type="submit" name="save" data-toggle="tooltip" title="<?php echo $button_save; ?>" class="btn btn-primary"><i class="fa fa-paw"></i> <?php echo $button_save; ?></button>
          <button type="submit" name="clear" data-toggle="tooltip" title="<?php echo $button_clear; ?>" class="btn btn-danger"><i class="fa fa-trash"></i> <?php echo $button_clear; ?></button>
          <a href="<?php echo $back; ?>" data-toggle="tooltip" title="<?php echo $button_back; ?>" class="btn btn-default"><i class="fa fa-reply"></i> <?php echo $button_back; ?></a>
        </form>
      </div>
    </div>
  </div>
</div>
<style><!--
.product-flags td, .product-flags th { text-align: center !important; }
.product-flags tr td:first-of-type { text-align: left !important; }
--></style>
<script><!--
function addProductFlag(el) {
  var table = document.querySelector('.product-flags tbody');
  var i = document.querySelectorAll('.product-flags .flag-row').length;
  var tr = document.createElement('tr');
  tr.className = 'flag-row';
  tr.innerHTML = '<td><input name="ps_sync_product['+i+'][id]" type="hidden" value=""><input name="ps_sync_product['+i+'][model]" type="text" value="" class="form-control" size="4"></td><td><input name="ps_sync_product['+i+'][no_sync]" type="checkbox" value="1"></td><td><input name="ps_sync_product['+i+'][remains]" type="checkbox" value="1"></td><td><input name="ps_sync_product['+i+'][remains_price]" type="checkbox" value="1"></td><td></td>';
  table.appendChild(tr);
}
--></script>
<?php echo $footer; ?>
